### Method

# Gegl Node list_output_pads

#### Declaration [src]

    gchar**
    gegl_node_list_output_pads (
      GeglNode* node
    )

#### Description [src]

If the node has any output pads this function returns a null terminated array of pad names, otherwise it returns NULL. The return value can be freed with g_strfreev().

#### Return value

Type: An array of `utf8`

No description available.

The array is `NULL`-terminated.
The caller of the method takes ownership of the returned data, and is responsible for freeing it.
Each element is a NUL terminated UTF-8 string.